Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AbstractMoney

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AbstractMoney

All Implemented Interfaces
  Money, Serializable

Direct Known Subclasses:
  ImmutableMoney, MutableMoney

Deprecated

    @Deprecated
    public abstract class AbstractMoney

extends Object
implements Money

See Also
  Serialized Form

Field Summary
`static String` | `NO_CURRENCY` Deprecated
`static double` | `ZERO` Deprecated

Constructor Summary
`AbstractMoney()` Deprecated

Method Summary
`static int` | `compare(Money moneyA, Money moneyB)` Deprecated Compares to money objects.
`boolean` | `equals(Object object)` Deprecated Compares the specified object with this object.
`abstract String` | `getCurrency()` Deprecated
`abstract double` | `getValue()` Deprecated
`String` | `toString()` Deprecated Returns a string containing the value and currency of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ZERO

    public static final double ZERO

  Deprecated
  See Also
    Constants Summary

### NO_CURRENCY

    public static final String NO_CURRENCY

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### AbstractMoney

    public AbstractMoney()

  Deprecated

Method Detail

### compare

    public static int compare(Money moneyA,
                              Money moneyB)
                       throws CurrencyMismatchException

  Deprecated
  Compares to money objects.

  Parameters
    `moneyA` - a Money object
    `moneyB` - a Money object
  Returns
    -1, 0, or 1 corresponding to the contract for the Comparator interface.
  Throws
    `CurrencyMismatchException` - if the currencies of the two Money objects differ.
  See Also
    `Money`, `CurrencyMismatchException`

### getValue

    public abstract double getValue()

  Deprecated
  Specified by:
    `getValue` in interface `Money`
  Returns
    the amount of money

### getCurrency

    public abstract String getCurrency()

  Deprecated
  Specified by:
    `getCurrency` in interface `Money`
  Returns
    the currency string.

### equals

    public boolean equals(Object object)

  Deprecated
  Compares the specified object with this object. This method will return true if the specified object implements the Money interface and has the same currency and amount as this object.

  Overrides:
    `equals` in class `Object`
  Parameters
    `object` -
  Returns
    true if the specified object implements the Money interface and has the same currency as this object.
  See Also
    `Money`

### toString

    public String toString()

  Deprecated
  Returns a string containing the value and currency of the object.

  Overrides:
    `toString` in class `Object`
  Returns
    the value and currency of the object as a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.